var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}


function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_tipfalta.php?pos="+inicio;
}


//-----------------------------------------------------

function buscar(){

         var parametros = {"accion":'tablabuscarF'};
                    $.ajax({
                    data:  parametros,
                     url:"app/model/insertar_tip_falta.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//******************************************
//******************************************

function mostrar_f(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}



var v1=get('per_id1');

if (v1=="") {
    alert("Digite Tipo de Falta");
    return 0;
}

document.location.href="ingresar_f.php?action=mostrar_falta&tipo="+v1;

}

//----------------------------------------------------

function limpiar_f(){

    document.getElementById('per_id1').value="";
    document.getElementById('per_id2').value="";
}

//----------------------------------------------------

var iniciob=0;

function aumentarb(num,tipo){

iniciob = num + 10;
Cargarb(tipo);
}


function disminuirb(num,tipo){

  if(num>0 ){
    iniciob = num - 10;
    Cargarb(tipo);
  }

}

function todasfalt(){
    document.location.href="ingresar_f.php?action=mostrar_falta";
}

function Cargarb(tipo){

document.location.href="ingresar_clases_fal.php?pos="+iniciob+"&tipo="+tipo;
}



function Eliminar_f(orden,tipo,inicio,total){

   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_tfalta',"codigo" :orden};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_f.php?action=mostrar_falta&tipo="+tipo;

                }
        });


}


//-----------------------------------

function Editar_f(orden,tipo){

    var parametros = {"accion":'editar_tfaltabus',"codigo" :orden,"tipo" :tipo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}


function todasfalt()
{
    document.location.href="ingresar_f.php?action=class_falta";
}


//****************************************************
//****************************************************


$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_tip_falta.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function Limpiar(){
    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";
    document.getElementById('tf_id1').value="";	
    document.getElementById('tf_id2').value="";
}

function Grabar(){
	
var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('tf_id1');

//alert(v1+ " - "+v2+ " - "+v3+ " - ");

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}

if (v3=="") {
    alert("Digite Tipo de Falta");
    return 0;
}


var parametros = {"accion":'grabar_tfalta',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "tip_falta" :v3
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        Limpiar();
                        document.location.href="ingresar_tipfalta.php?pos="+p;
                }
        });

}

function Actualizar(sec){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('tp_falta');

//alert(v1+ " - "+v2+ " - "+v3+ " - ");

if (v1=="") {
    alert("Digite Codigo");
    return 0;
}
if (v2=="") {
    alert("Digite Una Descripci&oacute;n");
    return 0;
}

if (v3=="") {
    alert("Digite Tipo de falta");
    return 0;
}


var parametros = {"accion":'actualizar_tfalta',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "tfalta" :v3,
                          "sec":sec
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_tipfalta.php?pos="+p;
                        alert(response);
                }
        });

}


//-----------------------------------------

function Actualizarbus(sec,tipo){


var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('tp_falta');

//alert(v1+ " - "+v2+ " - "+v3+ " - ");

if (v1=="") {
    alert("Digite Codigo");
    return 0;
}
if (v2=="") {
    alert("Digite Una Descripci&oacute;n");
    return 0;
}

if (v3=="") {
    alert("Digite Tipo de falta");
    return 0;
}


var parametros = {"accion":'actualizar_tfaltabus',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "tfalta" :v3,
                          "sec":sec
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_f.php?action=mostrar_falta&tipo="+tipo;
                        alert(response);
                }
        });

}


//------------------------------------------
function Eliminar(codigo,inicio,total){
    


    if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_tfalta',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_tipfalta.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function Editar(codigo,inicio){

    var parametros = {"accion":'editar_tfalta',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

